Conversations
Update Custom Attributes
Updates the custom attributes of a conversation
POST
/
api
/
v1
/
accounts
/
{account_id}
/
conversations
/
{conversation_id}
/
custom_attributes
Update Custom Attributes
curl --request POST \
--url https://airys.chat/api/v1/accounts/{account_id}/conversations/{conversation_id}/custom_attributes \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"custom_attributes": {
"order_id": "12345",
"previous_conversation": "67890"
}
}
'import requests
url = "https://airys.chat/api/v1/accounts/{account_id}/conversations/{conversation_id}/custom_attributes"
payload = { "custom_attributes": {
"order_id": "12345",
"previous_conversation": "67890"
} }
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({custom_attributes: {order_id: '12345', previous_conversation: '67890'}})
};
fetch('https://airys.chat/api/v1/accounts/{account_id}/conversations/{conversation_id}/custom_attributes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"custom_attributes": {}
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Authorizations
This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.
Path Parameters
The numeric ID of the account
The numeric ID of the conversation
Body
application/json
The custom attributes to be set for the conversation
Example:
{
"order_id": "12345",
"previous_conversation": "67890"
}Response
Success
The custom attributes of the conversation
⌘I
Update Custom Attributes
